## rust-slog-term 2.6.0

=== Makefile ===
PKG_NAME=$(shell grep name Cargo.toml | head -n 1 | awk -F \" '{print $$2}')
DOCS_DEFAULT_MODULE=$(subst -,_,$(PKG_NAME))
ifeq (, $(shell which cargo-check 2> /dev/null))
DEFAULT_TARGET=build
else
DEFAULT_TARGET=build
endif

default: $(DEFAULT_TARGET)

ALL_TARGETS += build $(EXAMPLES) test doc
ifneq ($(RELEASE),)
$(info RELEASE BUILD: $(PKG_NAME))
CARGO_FLAGS += --release
else
$(info DEBUG BUILD: $(PKG_NAME); use `RELEASE=true make [args]` for release build)
endif

EXAMPLES = $(shell cd examples 2>/dev/null && ls *.rs 2>/dev/null | sed -e 's/.rs$$//g' )

all: $(ALL_TARGETS)

.PHONY: run test build doc clean clippy
run test build clean:
	cargo $@ $(CARGO_FLAGS)

check:
	$(info Running check; use `make build` to actually build)
	cargo $@ $(CARGO_FLAGS)

clippy:
	cargo build --features clippy

.PHONY: bench
bench:
	cargo $@ $(filter-out --release,$(CARGO_FLAGS))

.PHONY: travistest
travistest: test

.PHONY: longtest
longtest:
	@echo "Running longtest. Press Ctrl+C to stop at any time"
	@sleep 2
	@i=0; while i=$$((i + 1)) && echo "Iteration $$i" && make test ; do :; done

.PHONY: $(EXAMPLES)
$(EXAMPLES):
	cargo build --example $@ $(CARGO_FLAGS)

.PHONY: doc
doc: FORCE
	cargo doc

.PHONY: publishdoc
publishdoc:
	rm -rf target/doc
	make doc
	echo '<meta http-equiv="refresh" content="0;url='${DOCS_DEFAULT_MODULE}'/index.html">' > target/doc/index.html
	ghp-import -n target/doc
	git push -f origin gh-pages

.PHONY: docview
docview: doc
	xdg-open target/doc/$(PKG_NAME)/index.html

.PHONY: FORCE
FORCE:

=== debian/changelog ===
rust-slog-term (2.6.0-1) unstable; urgency=medium

  * Package slog-term 2.6.0 from crates.io using debcargo 2.4.3

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 04 Nov 2020 11:25:13 +0100

=== debian/control ===
Source: rust-slog-term
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 librust-atty-0.2+default-dev <!nocheck>,
 librust-chrono-0.4+default-dev <!nocheck>,
 librust-slog-2+default-dev <!nocheck>,
 librust-term-0.5+default-dev <!nocheck>,
 librust-thread-local-1+default-dev <!nocheck>,
 libstd-rust-dev <!nocheck>,
 rustc:native <!nocheck>,
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/slog-term]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/slog-term
Homepage: https://github.com/slog-rs/slog

Package: librust-slog-term-dev
Architecture: any
Multi-Arch: same
Depends:
 librust-atty-0.2+default-dev,
 librust-chrono-0.4+default-dev,
 librust-erased-serde-0.3+default-dev,
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-slog-2+default-dev,
 librust-slog-2+nested-values-dev,
 librust-term-0.5+default-dev,
 librust-thread-local-1+default-dev,
 ${misc:Depends},
Provides:
 librust-slog-term+default-dev (= ${binary:Version}),
 librust-slog-term-2+default-dev (= ${binary:Version}),
 librust-slog-term-2-dev (= ${binary:Version}),
 librust-slog-term-2.6+default-dev (= ${binary:Version}),
 librust-slog-term-2.6-dev (= ${binary:Version}),
 librust-slog-term-2.6.0+default-dev (= ${binary:Version}),
 librust-slog-term-2.6.0-dev (= ${binary:Version}),
 librust-slog-term+erased-serde-dev (= ${binary:Version}),
 librust-slog-term-2+erased-serde-dev (= ${binary:Version}),
 librust-slog-term-2.6+erased-serde-dev (= ${binary:Version}),
 librust-slog-term-2.6.0+erased-serde-dev (= ${binary:Version}),
 librust-slog-term+nested-values-dev (= ${binary:Version}),
 librust-slog-term-2+nested-values-dev (= ${binary:Version}),
 librust-slog-term-2.6+nested-values-dev (= ${binary:Version}),
 librust-slog-term-2.6.0+nested-values-dev (= ${binary:Version}),
 librust-slog-term+serde-dev (= ${binary:Version}),
 librust-slog-term-2+serde-dev (= ${binary:Version}),
 librust-slog-term-2.6+serde-dev (= ${binary:Version}),
 librust-slog-term-2.6.0+serde-dev (= ${binary:Version}),
 librust-slog-term+serde-json-dev (= ${binary:Version}),
 librust-slog-term-2+serde-json-dev (= ${binary:Version}),
 librust-slog-term-2.6+serde-json-dev (= ${binary:Version}),
 librust-slog-term-2.6.0+serde-json-dev (= ${binary:Version}),
Description: Unix terminal drain and formatter for slog-rs - Rust source code
 This package contains the source for the Rust slog-term crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.6.0 --all-targets --all-features
Features: test-name=@
Depends:
 dh-cargo (>= 18),
 librust-slog-async-2+default-dev,
 @,
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.6.0 --all-targets --no-default-features
Features: test-name=librust-slog-term-dev
Depends:
 dh-cargo (>= 18),
 librust-slog-async-2+default-dev,
 @,
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.6.0 --all-targets --features erased-serde
Features: test-name=librust-slog-term+erased-serde-dev
Depends:
 dh-cargo (>= 18),
 librust-slog-async-2+default-dev,
 @,
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.6.0 --all-targets --features nested-values
Features: test-name=librust-slog-term+nested-values-dev
Depends:
 dh-cargo (>= 18),
 librust-slog-async-2+default-dev,
 @,
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.6.0 --all-targets --features serde
Features: test-name=librust-slog-term+serde-dev
Depends:
 dh-cargo (>= 18),
 librust-slog-async-2+default-dev,
 @,
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.6.0 --all-targets --features serde_json
Features: test-name=librust-slog-term+serde-json-dev
Depends:
 dh-cargo (>= 18),
 librust-slog-async-2+default-dev,
 @,
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/slog-term-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/slog-term .*/crates/slog-term/@ANY_VERSION@/download

## rust-slog-term 2.9.0

=== debian/changelog ===
rust-slog-term (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * Package slog-term 2.9.0 from crates.io using debcargo 2.6.1
  * Stop patching "term" dependency, Debian is now in sync with upstream.
  * Set collapse_features = true

 -- Peter Michael Green <plugwash@debian.org>  Mon, 01 Jan 2024 21:54:18 +0000

=== debian/control ===
Source: rust-slog-term
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.53) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-atty-0.2+default-dev <!nocheck>,
 librust-slog-2+default-dev <!nocheck>,
 librust-term-0.7+default-dev <!nocheck>,
 librust-thread-local-1+default-dev <!nocheck>,
 librust-time-0.3+formatting-dev <!nocheck>,
 librust-time-0.3+local-offset-dev <!nocheck>,
 librust-time-0.3+macros-dev <!nocheck>,
 librust-time-0.3+std-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/slog-term]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/slog-term
Homepage: https://github.com/slog-rs/slog
X-Cargo-Crate: slog-term
Rules-Requires-Root: no

Package: librust-slog-term-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-atty-0.2+default-dev,
 librust-erased-serde-0.3+default-dev,
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-slog-2+default-dev,
 librust-slog-2+nested-values-dev,
 librust-term-0.7+default-dev,
 librust-thread-local-1+default-dev,
 librust-time-0.3+formatting-dev,
 librust-time-0.3+local-offset-dev,
 librust-time-0.3+macros-dev,
 librust-time-0.3+std-dev
Provides:
 librust-slog-term+default-dev (= ${binary:Version}),
 librust-slog-term+erased-serde-dev (= ${binary:Version}),
 librust-slog-term+nested-values-dev (= ${binary:Version}),
 librust-slog-term+serde-dev (= ${binary:Version}),
 librust-slog-term+serde-json-dev (= ${binary:Version}),
 librust-slog-term-2-dev (= ${binary:Version}),
 librust-slog-term-2+default-dev (= ${binary:Version}),
 librust-slog-term-2+erased-serde-dev (= ${binary:Version}),
 librust-slog-term-2+nested-values-dev (= ${binary:Version}),
 librust-slog-term-2+serde-dev (= ${binary:Version}),
 librust-slog-term-2+serde-json-dev (= ${binary:Version}),
 librust-slog-term-2.9-dev (= ${binary:Version}),
 librust-slog-term-2.9+default-dev (= ${binary:Version}),
 librust-slog-term-2.9+erased-serde-dev (= ${binary:Version}),
 librust-slog-term-2.9+nested-values-dev (= ${binary:Version}),
 librust-slog-term-2.9+serde-dev (= ${binary:Version}),
 librust-slog-term-2.9+serde-json-dev (= ${binary:Version}),
 librust-slog-term-2.9.0-dev (= ${binary:Version}),
 librust-slog-term-2.9.0+default-dev (= ${binary:Version}),
 librust-slog-term-2.9.0+erased-serde-dev (= ${binary:Version}),
 librust-slog-term-2.9.0+nested-values-dev (= ${binary:Version}),
 librust-slog-term-2.9.0+serde-dev (= ${binary:Version}),
 librust-slog-term-2.9.0+serde-json-dev (= ${binary:Version})
Description: Unix terminal drain and formatter for slog-rs - Rust source code
 Source code for Debianized Rust crate "slog-term"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.9.0 --all-targets --all-features
Features: test-name=rust-slog-term:@
Depends: dh-cargo (>= 18), librust-slog-async-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.9.0 --all-targets
Features: test-name=librust-slog-term-dev:default
Depends: dh-cargo (>= 18), librust-slog-async-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.9.0 --all-targets --no-default-features --features erased-serde
Features: test-name=librust-slog-term-dev:erased-serde
Depends: dh-cargo (>= 18), librust-slog-async-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.9.0 --all-targets --no-default-features --features nested-values
Features: test-name=librust-slog-term-dev:nested-values
Depends: dh-cargo (>= 18), librust-slog-async-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.9.0 --all-targets --no-default-features --features serde
Features: test-name=librust-slog-term-dev:serde
Depends: dh-cargo (>= 18), librust-slog-async-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.9.0 --all-targets --no-default-features --features serde_json
Features: test-name=librust-slog-term-dev:serde_json
Depends: dh-cargo (>= 18), librust-slog-async-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog-term 2.9.0 --all-targets --no-default-features
Features: test-name=librust-slog-term-dev:
Depends: dh-cargo (>= 18), librust-slog-async-2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
